Create an Order
curl --request POST \
--url https://api.example.com/v1/orders \
--header 'Content-Type: application/json' \
--data '
{
"order_number": "<string>",
"due_date": "<string>",
"address": "<string>",
"city": "<string>",
"county": "<string>",
"state": "<string>",
"custom_fields": {}
}
'import requests
url = "https://api.example.com/v1/orders"
payload = {
"order_number": "<string>",
"due_date": "<string>",
"address": "<string>",
"city": "<string>",
"county": "<string>",
"state": "<string>",
"custom_fields": {}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
order_number: '<string>',
due_date: '<string>',
address: '<string>',
city: '<string>',
county: '<string>',
state: '<string>',
custom_fields: {}
})
};
fetch('https://api.example.com/v1/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data.id": "<string>"
}Orders API
Create an Order
POST /v1/orders
POST
/
v1
/
orders
Create an Order
Create an order in your workspace’s Orders Tool.
Request
string
required
Your order number / reference. Up to 255 characters.
string
Due date in
YYYY-MM-DD format.string
Property street address.
string
Property city.
string
Property county.
string
Property state.
object
A map of custom field
key → value. Discover available keys via
GET /order-fields. Array values (e.g. multi-select)
are accepted. Unknown keys are ignored.Example
curl -X POST https://api.titletrackr.com/v1/orders \
-H "Authorization: Bearer ttr_live_xxx" \
-H "Content-Type: application/json" \
-d '{
"order_number": "API-1001",
"due_date": "2026-06-15",
"address": "123 Main St",
"custom_fields": { "underwriter": "Acme Title" }
}'
{
"data": {
"id": "a8Xk2",
"order_number": "API-1001",
"status": "active",
"due_date": "2026-06-15",
"address": "123 Main St",
"city": null,
"county": null,
"state": null,
"custom_fields": { "underwriter": "Acme Title" },
"created_at": "2026-05-29T04:00:00.000000Z",
"updated_at": "2026-05-29T04:00:00.000000Z"
}
}
string
The obfuscated order id. Use this as the opaque identifier for the order.
⌘I

